Bug 306321 - TCLLIBPATH ignored
TCLLIBPATH ignored
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tcl (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-25 21:26 EDT by Wart
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-26 03:35:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wart 2007-09-25 21:26:24 EDT
Description of problem:
The TCLLIBPATH environment variable is often used to add extra directories to
the default package search path.  This is often used in the test suites of other
Tcl packages to run tests without having the package installed.  But the recent
tcl-8.4.7-path.patch causes tcl to ignore any value assigned to TCLLIBPATH.

Version-Release number of selected component (if applicable):
tcl-8.4.15-4.fc8

How reproducible:
Always

Steps to Reproduce:
1.  Install tcl-8.4.15-4.fc8
2.  Run 'TCLLIBPATH=/foo/bar tclsh'
3.  At the Tcl command prompt, run 'set auto_path'
  
Actual results:
/usr/share/tcl8.4 /usr/share /usr/lib /usr/lib64 /usr/lib64/tcl8.4

Expected results:
/foo/bar /usr/share/tcl8.4 /usr/share /usr/lib /usr/lib64 /usr/lib64/tcl8.4

Additional info:
I don't quite understand what this tcl-8.4.7-path.patch is supposed to
accomplish.  It seems to check to see if 64-bit TclX is installed, and then sets
auto_path if it is found.  But the value that it sets auto_path to is the same
value that would be used if this 64-bit TclX check wasn't there to begin with. 
In other words, this patch does nothing but break TCLLIBPATH usage for everyone
but those who have 64-bit TclX installed.  This patch should be removed to
restore the original logic in init.tcl, which works (even if 64-bit TclX is
installed).
Comment 1 Marcela Mašláňová 2007-09-26 03:35:48 EDT
The patch has to fix #246612. I forgot one _else_ in patch. Now should be
auto_path fully functional.

Note You need to log in before you can comment on or make changes to this bug.